package _interface

import (
	"context"
	"github.com/shopspring/decimal"
)

type OrderInterface interface {
	// FreightFee 获取运费
	FreightFee(ctx context.Context, args ArgsOrderFreightFee, freightFee *decimal.Decimal) error
	// Submit 下单
	Submit(ctx context.Context, args ArgsOrderSubmit, sourceOrderSn *string) error
}
type ArgsOrderFreightFee struct {
	Skus    []OrderFreightFeeSkuItem // 商品信息
	Address string                   // 地址
}

type OrderFreightFeeSkuItem struct {
	SourceSkuId    string          // 源skuId
	SourceSkuPrice decimal.Decimal // 采购价
	Quantity       uint            // 数量
}

type ArgsOrderSubmit struct {
	OrderSn    string                   // 订单号
	Skus       []OrderFreightFeeSkuItem // 商品信息
	Address    string                   // 地址
	FreightFee decimal.Decimal          // 运费
}

type OrderReceiver struct {
	Name    string // 姓名
	Phone   string // 手机号
	Email   string // 邮件
	ZipCode string // 邮编
}
